Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365862 - [knot] test failures
Summary: [knot] test failures
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: knot
Version: 25
Hardware: s390x
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Včelák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ZedoraTracker PPCTracker
TreeView+ depends on / blocked
 
Reported: 2016-08-10 11:28 UTC by Dan Horák
Modified: 2016-08-27 10:40 UTC (History)
3 users (show)

Fixed In Version: knot-2.3.0-2.fc24 knot-2.3.0-2.fc23 knot-2.3.0-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-19 19:53:22 UTC


Attachments (Terms of Use)

Description Dan Horák 2016-08-10 11:28:39 UTC
We see test failures during build on F-25 on s390x and ppc64

from build.log
...
make  check-local
make[2]: Entering directory '/builddir/build/BUILD/knot-2.3.0/tests'
../libtap/runtests -s ../tests \
				-b ../tests \
				-L ../tests/runtests.log \
				contrib/test_base32hex contrib/test_base64 contrib/test_endian contrib/test_hat-trie contrib/test_heap contrib/test_hhash contrib/test_net contrib/test_net_shortwrite contrib/test_sockaddr contrib/test_string contrib/test_strtonum contrib/test_wire contrib/test_wire_ctx libknot/test_control libknot/test_cookies-client libknot/test_cookies-opt libknot/test_cookies-server libknot/test_db libknot/test_descriptor libknot/test_dname libknot/test_edns libknot/test_lookup libknot/test_pkt libknot/test_rdata libknot/test_rdataset libknot/test_rrset libknot/test_rrset-wire libknot/test_tsig libknot/test_yparser libknot/test_ypscheme libknot/test_yptrafo modules/online_sign utils/test_cert utils/test_lookup acl changeset conf conf_tools confdb confio dthreads fdset journal node process_answer process_query query_module requestor rrl server worker_pool worker_queue zone_events zone_serial zone_timers zone_update zonedb ztree semantic_check
contrib/test_base32hex..........ok
contrib/test_base64.............ok
contrib/test_endian.............ok
contrib/test_hat-trie...........ok
contrib/test_heap...............ok
contrib/test_hhash..............ok
contrib/test_net................ok (skipped 1 test)
contrib/test_net_shortwrite.....ok
contrib/test_sockaddr...........ok
contrib/test_string.............ok
contrib/test_strtonum...........ok
contrib/test_wire...............ok
contrib/test_wire_ctx...........ok
libknot/test_control............ok
libknot/test_cookies-client.....FAILED 8, 10, 12, 14, 16, 20
libknot/test_cookies-opt........ok
libknot/test_cookies-server.....FAILED 10, 12, 14, 16, 18, 20, 36, 38
libknot/test_db.................ok
libknot/test_descriptor.........ok
libknot/test_dname..............ok
libknot/test_edns...............ok
libknot/test_lookup.............ok
libknot/test_pkt................ok
libknot/test_rdata..............ok
libknot/test_rdataset...........ok
libknot/test_rrset..............ok
libknot/test_rrset-wire.........ok
libknot/test_tsig...............ok
libknot/test_yparser............ok
libknot/test_ypscheme...........ok
libknot/test_yptrafo............ok
modules/online_sign.............ok
utils/test_cert.................ok
utils/test_lookup...............ok
acl.............................ok
changeset.......................ok
conf............................ok
conf_tools......................ok
confdb..........................ok
confio..........................ok
dthreads........................ok
fdset...........................ok
journal.........................ok
node............................ok
process_answer..................ok
process_query...................ok
query_module....................ok
requestor.......................ok
rrl.............................ok
server..........................ok
worker_pool.....................ok
worker_queue....................ok
zone_events.....................ok
zone_serial.....................ok
zone_timers.....................ok
zone_update.....................ok
zonedb..........................ok
ztree...........................ok
semantic_check..................ok
Failed Set                 Fail/Total (%) Skip Stat  Failing Tests
-------------------------- -------------- ---- ----  ------------------------
libknot/test_cookies-clien    6/22    27%    0    0  8, 10, 12, 14, 16, ...
libknot/test_cookies-serve    8/38    21%    0    0  10, 12, 14, 16, 18, ...
Failed 14/3217 tests, 99.56% okay, 1 test skipped.
Files=59,  Tests=3217,  11.35 seconds (3.56 usr + 1.29 sys = 4.84 CPU)
Makefile:1476: recipe for target 'check-local' failed
make[2]: Leaving directory '/builddir/build/BUILD/knot-2.3.0/tests'
make[2]: *** [check-local] Error 1
...


for full logs please see http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2315701 or http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3590973

Version-Release number of selected component (if applicable):
knot-2.3.0-1.fc25

Comment 1 Jan Včelák 2016-08-11 11:04:10 UTC
Dan, it looks like a problem with endianness. I don't have access to any BE platform. Please, can you try the following patch?

https://gitlab.labs.nic.cz/labs/knot/commit/84849be189c49ef9556bd84d5e5103317372e8a7.patch

Comment 2 Dan Horák 2016-08-11 12:10:23 UTC
yes, the patch fixes the failures

http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2317481 and also in local ppc build

Comment 3 Jan Včelák 2016-08-11 12:36:01 UTC
Thanks Dan for the report and verification! I'll add the patch to Fedora.

Comment 4 Fedora Update System 2016-08-11 13:50:49 UTC
knot-2.3.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-66c0c2105b

Comment 5 Fedora Update System 2016-08-11 13:51:01 UTC
knot-2.3.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7f0fb9b38d

Comment 6 Fedora Update System 2016-08-11 13:51:08 UTC
knot-2.3.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3479f8e060

Comment 7 Fedora Update System 2016-08-11 16:55:20 UTC
knot-2.3.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7f0fb9b38d

Comment 8 Fedora Update System 2016-08-12 02:54:46 UTC
knot-2.3.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-66c0c2105b

Comment 9 Fedora Update System 2016-08-12 03:02:47 UTC
knot-2.3.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3479f8e060

Comment 10 Fedora Update System 2016-08-19 19:53:14 UTC
knot-2.3.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-08-19 22:20:49 UTC
knot-2.3.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-08-27 10:40:07 UTC
knot-2.3.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.